# List all inventory locations

Products
            Plans
          
        
        
          
            
              
              Formerly ShipEngine
            
            
              Free
              Advanced
              Enterprise
            
          
          
            
              
            
            
              Free
              Starter
              Standard
              Premium
            
          
        
      
      
        
          Learn about products and plans
          
        
      
    

Lists all inventory locations and shows which inventory warehouse each one belongs to.

Endpoint: GET /v2/inventory_locations
Version: 2.0.0
Security: api_keys

## Query parameters:

  - `page_size` (integer)

## Response 200 fields (application/json):

  - `inventory_locations` (array)

  - `inventory_locations.inventory_location_id` (string)

  - `inventory_locations.name` (string)

  - `inventory_locations.inventory_warehouse_id` (string)

  - `inventory_locations.created_at` (string)

  - `inventory_locations.updated_at` (string)

  - `inventory_locations.barcode` (string)
    Physical barcode label for warehouse location bins/shelves used during pick/pack operations
    Example: "1234567890"

  - `total` (integer)

  - `page` (integer)

  - `pages` (integer)

  - `links` (object)

  - `links.first` (object)

  - `links.first.href` (string)

  - `links.last` (object)

  - `links.last.href` (string)

  - `links.prev` (object)

  - `links.prev.href` (string)

  - `links.next` (object)

  - `links.next.href` (string)


